
Redmine - Defect #4659

Email notification processing is slow

2010-01-26 18:11 - Michael Vance

Status: Closed Start date: 2010-01-26

Priority: Normal Due date:  

Assignee:  % Done: 100%

Category: Email notifications Estimated time: 0.00 hour

Target version:    

Resolution:  Affected version:  

Description

Use case: updating 24 issues in a single project by changing target version through context menu. Redmine version is approximately

two month old trunk/devel, running on Windows Server 2007 on a machine with 8 cores and 32G of RAM.

System-wide email notifications disabled through global admin settings, async_smtp:

952ms (DB: 281)

Email notifications for users who would have received a message disabled, async_smtp:

6708ms (DB:530)

Email notifications enabled for users, async_smtp:

6724ms (DB:437)

Email notifications enabled for users, smtp:

23587ms (DB:503)

I'm guessing Redmine does a short circuit on the global setting, but does a variety of message preparation and Issue inspection only

to find 0 recipients in the middle case. I'll poke around this myself but I thought I'd report it in case there was anything obviously

broken.

Will be updating to 0.9.x series soon and will repost findings. If you need any additional performance metrics/data, please let me

know.

History

#1 - 2010-07-09 13:32 - Felix Schäfer

Michael Vance wrote:

Will be updating to 0.9.x series soon and will repost findings. If you need any additional performance metrics/data, please let me know.

 Our installation works well with async_smtp, could you please redo a test with a current stable (at least)?

#2 - 2010-07-10 16:01 - Michael Vance

- Status changed from New to Resolved

- % Done changed from 0 to 100

Yep, sorry for not updating this, async_smtp worked just fine.

#3 - 2010-07-10 17:33 - Felix Schäfer

- Status changed from Resolved to Closed

No harm done, thanks for the heads-up :-)
